EUARE-USERADDKEY(1)

NAME
euare-useraddkey - Create a new access key for a user

SYNOPSIS
euare-useraddkey [-w] [-d DOMAIN] [-l] [--as-account ACCOUNT] [-U URL]

[--region USER@REGION] [-I KEY_ID] [-S KEY]
    [--security-token TOKEN] [--debug] [--debugger] [--version] [-h] USER

DESCRIPTION
Create a new access key for a user

  positional arguments:

USER
    user the new key will belong to (default: current user)

  optional arguments:

-w, --write-config
    output access keys and region information in the form of a euca2ools.ini(5) configuration file instead of by themselves

-d DOMAIN, --domain DOMAIN
    the DNS domain to use for region information in configuration file output (default: based on IAM URL)

-l, --set-default-user
    set this user as the default user for the region in euca2ools.ini(5) configuration file output. This option is only useful when used with -w.

--as-account ACCOUNT
    [Eucalyptus cloud admin only] run this command as the administrator of another account

-U URL, --url URL
    identity service endpoint URL

--region USER@REGION
    region and/or user names to search when looking up config file data

-I KEY_ID, --access-key-id KEY_ID

-S KEY, --secret-key KEY

--security-token TOKEN

--debug
    show debugging output

--debugger
    launch interactive debugger on error

--version
    show the program's version and exit

-h, --help
    show this help message and exit